Subject: Re: WG Action: Dynamic Host Configuration (dhc)

From: Pekka Savola <[email-masked]>
Date: Thu, 27 Feb 2003 09:30:44 +0200 (EET)

On Wed, 26 Feb 2003, The IESG wrote:
> A new working group has been formed in the Internet Area of the IETF. 
> For additional information, contact the Area Directors or the Working 
> Group Chairs.

Uhh.. "a new working group"?  What's this old "dhc" working group been,
then, which has operated for years and years?

Was this meant to say that a revised charter has been approved?

> 
> 
> Dynamic Host Configuration (dhc)
> --------------------------------
> 
>      Current Status: Active Working Group
> 
>      Chair(s):
>              R. Droms <[email-masked]>
> 
>      Internet Area Director(s):
>              Thomas Narten <[email-masked]>
>              E. Nordmark <[email-masked]>
> 
>      Internet Area Advisor:
>              Thomas Narten <[email-masked]>
> 
>      Mailing Lists:
>              General Discussion:[email-masked]
>              To Subscribe: http://www1.ietf.org/mailman/listinfo/dhcwg
>              Archive: http://www1.ietf.org/mailman/listinfo/dhcwg
> 
> 
>  Description of Working Group
> 
> 
>  The dhc working group (DHC WG) has developed DHCP for automated
>  allocation, configuration and management of IP addresses and TCP/IP
>  protocol stack parameters. DHCP is currently a "Draft Standard". The
>  base protocol is documented in RFC2131 and RFC2132 (DHCP for IPv4) and
>  RFCxxxx (DHCP for IPv6). Additional options are documented in
>  subsequent RFCs.
> 
>  The DHC WG is responsible for reviewing (and sometimes developing)
>  DHCP options or other extensions (for both IPv4 and IPv6). The DHC WG
>  is expected to review all proposed extensions to DHCP to ensure that
>  they are consistent with the DHCP specification and other option
>  formats, that they do not duplicate existing mechanisms, etc. The DHC
>  WG will not (generally) be responsible for evaluating the semantic
>  content of proposed options. The DHC WG will not adopt new proposals
>  for extensions to DHCP as working group documents without first
>  coordinating with other relevant working groups and determining who
>  has the responsibility for reviewing the semantic content of an
>  option.
> 
>  The DHC WG has the following main objectives:
> 
>  * The DHC WG will address security in DHCP
> 
>        o Develop and document security requirements for DHCP. RFC 3118
>            defines current security mechanisms for DHCPv4. Unfortunately,
>            RFC 3118 has neither been implemented nor deployed to date.
>            Specific issues to be considered include:
> 
>            - Improved key management and scalability
>            - Security for messages passed between relay agents and servers
>            - Threats of DoS attacks through FORCERENEW
>            - The increased usage of DHC on unsecured (e.g., wireless) and
>                public LANs
>            - The need for clients to be able to authenticate servers, without
>                simultaneously requiring client authentication by the server.
> 
>        o Develop and document a roadmap of any new documents or protocols
>            needed to meet the security requirements for DHCP
> 
>  * Write an analysis of the DHCP specification, including RFC2131,
>        RFC2132 and other RFCs defining additional options, which identifies
>        ambiguities, contradictory specifications and other obstacles to
>        development of interoperable implementations. Recommend a process
>        for resolving identified problems and incorporating the resolutions
>        into the DHCP specification.
> 
>  * Complete or abandon work on DHCPv6 options that are currently work
>        in progress:
> 
>            IPv6 Prefix Options for DHCPv6
>                <draft-troan-dhcpv6-opt-prefix-delegation-02.txt>
>            DNS Configuration options for DHCPv6
>                <draft-ietf-dhc-dhcpv6-opt-dnsconfig-01.txt>
>            Load Balancing for DHCPv6
>                <draft-ietf-dhc-dhcpv6-loadb-02.txt>
>            NIS Configuration Options for DHCPv6
>                <draft-ietf-dhc-dhcpv6-opt-nisconfig-01.txt>
>            Time Configuration Options for DHCPv6
>                <draft-ietf-dhc-dhcpv6-opt-timeconfig-01.txt>
>            Client Preferred Prefix option for DHCPv6
>                <draft-ietf-dhc-dhcpv6-opt-cliprefprefix-00.txt>
>            A Guide to Implementing Stateless DHCPv6 Service
>                <draft-droms-dhcpv6-stateless-guide-00.txt>
>            DSTM Options for DHCPv6
>                <draft-ietf-dhc-dhcpv6-opt-dstm-01.txt>
>            DSTM Ports Option for DHCPv6
>                <draft-ietf-dhc-dhcpv6-opt-dstm-ports-01.txt>
> 
>  * Complete or abandon work on DHCP extensions and options that are
>        currently work in progress:
> 
>            Failover protocol
>                <draft-ietf-dhc-failover-11.txt>
>            The DHCP Client FQDN Option
>                <draft-ietf-dhc-fqdn-option-04.txt>
>            Resolution of DNS Name Conflicts Among DHCP Clients
>                <draft-ietf-dhc-ddns-resolution-04.txt>
>            DHCP Server MIB
>                <draft-ietf-dhc-server-mib-07.txt>
>            Considerations for the use of the Host Name option
>                <draft-ietf-dhc-host-option-considerations-01.txt>
>            DHCP Lease Query
>                <draft-ietf-dhc-leasequery-04.txt>
>            DHCP Options for Internet Storage Name Service
>                <draft-ietf-dhc-isnsoption-03.txt>
>            Dynamic Host Configuration Protocol (DHCP) Server MIB
>                <draft-ietf-dhc-server-mib-07.txt>
>            DHCP Option for Mobile IP Mobility Agents
>                <draft-ietf-dhc-mipadvert-opt-00.txt>
>            DHCP VPN Information Option
>                <draft-ietf-dhc-vpn-option-02.txt>
>            KDC Server Address Sub-option
>                <draft-ietf-dhc-suboptions-kdc-serveraddress-00.txt>
>            The Authentication Suboption for the DHCP Relay Agent Option
>                <draft-ietf-dhc-auth-suboption-00.txt>
>            Link Selection sub-option for the Relay Agent Information Option
>                <draft-ietf-dhc-agent-subnet-selection-03.txt>
>            VPN Identifier sub-option for the Relay Agent Information Option
>                <draft-ietf-dhc-agent-vpn-id-02.txt>
>            RADIUS Attributes Sub-option for the DHCP Relay Agent Information Option
>                <draft-ietf-dhc-agentopt-radius-02.txt>
>            DHCP Subscriber ID Suboption for the DHCP Relay Agent Option
>                <draft-ietf-dhc-subscriber-id-00.txt>
> 
>  Milestones (these are to replace the existing ones that are there):
> 
>  Done Resubmit draft-ietf-dhc-dhcpv6-28.txt to IESG
>  Done Identify DHCPv4 authentication design team
>  Done Identify DHCPv4 specification review design team
>  Done Identify DHCPv4 relay agent message authentication design team
>  Done WG Last Call on "DHCP Options for Internet Storage Name Service"
>                        <draft-ietf-dhc-isnsoption-03.txt>
>  Done WG Last Call on "DNS Configuration options for DHCPv6"
>                        <draft-ietf-dhc-dhcpv6-opt-dnsconfig-01.txt>
>  Done WG Last Call on "NIS Configuration Options for DHCPv6"
>                        <draft-ietf-dhc-dhcpv6-opt-nisconfig-01.txt>
>  Done WG Last Call on "Time Configuration Options for DHCPv6"
>                        <draft-ietf-dhc-dhcpv6-opt-timeconfig-01.txt>
>  Done WG Last Call on "IPv6 Prefix Options for DHCPv6"
>                        <draft-troan-dhcpv6-opt-prefix-delegation-02.txt>
>  Done WG Last Call on "Load Balancing for DHCPv6"
>                        <draft-ietf-dhc-dhcpv6-loadb-02.txt>
>  2003-02 Submit "DHCP Options for Internet Storage Name Service" to IESG
>                        <draft-ietf-dhc-isnsoption-03.txt>
>  2003-02 Submit "DNS Configuration options for DHCPv6" to IESG
>                        <draft-ietf-dhc-dhcpv6-opt-dnsconfig-01.txt>
>  2003-02 Submit "NIS Configuration Options for DHCPv6" to IESG
>                        <draft-ietf-dhc-dhcpv6-opt-nisconfig-01.txt>
>  2003-02 Submit "Time Configuration Options for DHCPv6" to IESG
>                        <draft-ietf-dhc-dhcpv6-opt-timeconfig-01.txt>
>  2003-03 Submit "IPv6 Prefix Options for DHCPv6" to IESG
>                        <draft-troan-dhcpv6-opt-prefix-delegation-02.txt>
>  2003-03 Submit "Load Balancing for DHCPv6" to IESG
>                        <draft-ietf-dhc-dhcpv6-loadb-02.txt>
>  2003-04 Update milestones to include all WG documents
>  2003-06 DHCPv4 authentication design team report completed
>  2003-06 DHCPv4 specification review report completed
>  2003-06 Select DHCPv4 relay agent message authentication mechanism
> 

-- 
Pekka Savola                 "You each name yourselves king, yet the
Netcore Oy                    kingdom bleeds."
Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings

---

From: Ralph Droms <[email-masked]>
Date: Thu, 27 Feb 2003 06:13:10 -0500

All,

Yes ... the announcement in question should have read "recharter",
not "new working group".

- Ralph